{- |
Module      : Antelude.File
Description : Contains some basic functions for dealing with files.
Maintainer  : dneavesdev@pm.me
-}
module Antelude.File
    ( FilePath
      -- | Reexport from 'Prelude'
    , P.appendFile
      -- | Reexport from 'Prelude'
    , P.readFile
      -- | Reexport from 'Prelude'
    , P.writeFile
    ) where

import safe           Antelude.Internal.TypesClasses ( FilePath )

import safe qualified Prelude                        as P
    ( appendFile
    , readFile
    , writeFile
    )
