{- |
Module      : Antelude.Monad
Description : Contains some functions for Monads, and reexports the Control.Monad module.
Maintainer  : dneavesdev@pm.me
-}
module Antelude.Monad
    ( module MonadExport
    , ($>)
    , (<<)
    ) where

import safe           Control.Monad as MonadExport

import safe           Data.Functor  ( ($>) )

-- | Just a flipped version of '(>>)'
(<<) :: (Monad m) => m b -> m a -> m b
a << b = b >> a
